<?php

class CommentController extends Controller
{
	/**
	 * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
	 * using two-column layout. See 'protected/views/layouts/column2.php'.
	 */
	public $layout='//layouts/column2';

	/**
	 * @return array action filters
	 */
	public function filters()
	{
		return array(
			'accessControl', // perform access control for CRUD operations
		);
	}


	public function actionForm($topic)
	{
		$model = new Comment;

		$this->renderPartial('_form',array('model'=>$model,'topic'=>$topic));
	}

	/**
	 * Displays a particular model.
	 * @param integer $id the ID of the model to be displayed
	 */
	public function actionView($id)
	{
		$this->render('view',array(
			'model'=>$this->loadModel($id),
		));
	}

	public function actionChangeVote()
    {
    	$model = $this->loadModel($_POST['id']);
    	if($_POST['type']=='up')
    	{
    		$model->rating = $model->rating + 1;
    	}
    	if($_POST['type']=='down')
    	{
    		$model->rating = $model->rating -1;
    	}
    	if($model->save())
    	{
    		echo CJSON::encode(array('status'=>'success','rating'=>$model->rating,'id'=>$model->id));
    	}
    }

	/**
	 * Creates a new model.
	 * If creation is successful, the browser will be redirected to the 'view' page.
	 */
	public function actionCreate()
	{
		$model=new Comment;

		// Uncomment the following line if AJAX validation is needed
		//$this->performAjaxValidation($model);

		if(isset($_POST['Comment']))
		{
			$model->attributes=$_POST['Comment'];
			$model->topicid = $_POST['Comment']['topicid'];
			if($model->save())
			{
				echo CJSON::encode(array('status'=>'success','id'=>$model->topicid));
				return;
			}
		}

		$this->render('create',array(
			'model'=>$model,
		));
	}



	public function actionsaveContent(){
    	if(isset($_POST['content'])){
    		$model = $this->loadModel($_POST['id']);
    		$model->content = $_POST['content'];
    		
    		if($model->save())
    		{
    			echo CJSON::encode(array('status'=>'success','content'=>SForumModule::parseText($model->content)));
    		}

    	}
    }


	/**
	 * Manages all models.
	 */
	public function actionAdmin()
	{
		$model=new Comment('search');
		$model->unsetAttributes();  // clear any default values
		if(isset($_GET['Comment']))
			$model->attributes=$_GET['Comment'];

		$this->render('admin',array(
			'model'=>$model,
		));
	}

	/**
	 * Returns the data model based on the primary key given in the GET variable.
	 * If the data model is not found, an HTTP exception will be raised.
	 * @param integer the ID of the model to be loaded
	 */
	public function loadModel($id)
	{
		$model=Comment::model()->findByPk($id);
		if($model===null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}

	/**
	 * Performs the AJAX validation.
	 * @param CModel the model to be validated
	 */
	protected function performAjaxValidation($model)
	{
		if(isset($_POST['ajax']) && $_POST['ajax']==='comment-form')
		{
			echo CActiveForm::validate($model);
			Yii::app()->end();
		}
	}
}
